Skip to main content

Create Warranty Registration

POST 

/api/repairs/registrations

Create Warranty Registration.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • customer_id (optional): integer, exists:customers,id
  • customer (optional): array
  • customer.name (optional): string, max:255
  • customer.email (required): email, max:190
  • customer.phone (optional): string, max:40
  • product_id (required): integer, exists:products,id
  • warranty_policy_id (optional): integer, exists:warranty_policies,id
  • sales_order_line_id (optional): integer, exists:sales_order_lines,id
  • serial_number_id (optional): integer, exists:serial_numbers,id
  • lot_number (optional): string, max:100
  • quantity (optional): integer, min:1, max:100000
  • purchase_source (optional): Enum:in:"order","shopify","amazon","retail_store","wholesale_partner","gift","other"
  • retailer_name (optional): string, max:120
  • receipt (optional): file, mimes:jpg,jpeg,png,webp,heic,pdf, max:10240
  • purchased_on (optional): date_format:Y-m-d, before_or_equal:today
  • starts_on (optional): date_format:Y-m-d
  • expires_on (optional): date_format:Y-m-d, after_or_equal:starts_on
  • status (optional): In:in:"active","pending_verification"
  • registration_number (optional): string, max:40, Unique:unique:warranty_registrations,registration_number,NULL,id

Permission: repairs.create. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type